import { getAxios } from "../Foundation/AxiosUtil";
import qs from 'qs';
import { Dictionary } from "../Foundation/Types";

// ==================== 配置开始 ====================
/**
 * 用户名
 */
const email = "";
/**
 * 密码
 */
const passwd = "";
// ==================== 配置结束 ====================

const axiosInstance = getAxios();

axiosInstance.defaults.headers['referer'] = 'https://jx.2.akkcloud1.com/auth/login';
axiosInstance.defaults.headers['user-agent'] = 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/99.0.4844.82 Safari/537.36';
axiosInstance.defaults.headers['x-requested-with'] = 'XMLHttpRequest';
axiosInstance.defaults.withCredentials = true;

axiosInstance.post('https://jx.2.akkcloud1.com/auth/login', qs.stringify({
    email: email,
    passwd: passwd,
    code: '',
})).then<string>(response => {
    const data = response.data;

    const ret = data?.ret;
    const msg = data?.msg;

    if (ret == 1) {
        console.log(`登录成功`);

        return response.headers["set-cookie"].map(v => v.split(';')[0]).join(';');
    } else {
        console.log(`登录失败：${msg || data}`);
    }

    return null;
}, error => {
    console.log(`登录失败：${error}`);

    return null;
}).then(cookie => {
    if (!cookie) return null;

    return axiosInstance.post('https://jx.2.akkcloud1.com/user/checkin', qs.stringify({}), {
        headers: {
            "cookie": cookie,
            "referer": 'https://jx.2.akkcloud1.com/user',
        },
    });
}).then(response => {
    const data = response.data;

    const ret = data?.ret;
    const msg = data?.msg;

    if (ret == 1) {
        console.log(`签到成功：${msg || data}`);
    } else {
        console.log(`签到失败：${msg || data}`);
    }
}, error => {
    console.log(`签到失败：${error}`);
});
